import React from 'react';
import type { ILinkState } from "../states/linkState";
import type { INodeState } from "../states/nodeState";
import type { ISettings } from "../states/rootStore";
import { RootStore } from "../states/rootStore";
export declare const RootStoreContext: React.Context<RootStore | null>;
export declare const DiagramContext: ((props: IDiagramContextProps) => JSX.Element) & {
    displayName: string;
};
export declare type IDiagramContextProps = React.PropsWithChildren<{
    settings?: ISettings;
    initState?: IDiagramInitState;
    storeRef?: React.MutableRefObject<RootStore | null>;
}>;
export interface IDiagramInitState {
    nodes?: INodeState[];
    links?: ILinkState[];
}
//# sourceMappingURL=DiagramContext.d.ts.map